Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#13118 closed defect (fixed)

Support GCC version "4.7" in LinBox

Reported by: jdemeyer Owned by: tbd
Priority: blocker Milestone: sage-5.1
Component: packages: standard Keywords:
Cc: Merged in: sage-5.1.beta6
Authors: Jeroen Demeyer Reviewers: R. Andrew Ohana
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description (last modified by jdemeyer)

It seems Debian ships a version of gcc where

gcc -dumpversion

outputs "4.7" instead of the expected "4.7.0".

This causes a build failure in LinBox? (and only in LinBox? according to the bug report).

spkg: http://boxen.math.washington.edu/home/jdemeyer/spkg/linbox-1.1.6.p11.spkg

Attachments (2)

linbox-1.1.6.p11.diff (1.6 KB) - added by jdemeyer 9 years ago.
Diff for the linbox spkg. For reference / review only.
here.txt (54.6 KB) - added by startakovsky 9 years ago.
linbox error on rackspace.com virtual machine, ubuntu 12

Download all attachments as: .zip

Change History (12)

comment:1 Changed 9 years ago by jdemeyer

  • Authors set to Jeroen Demeyer
  • Description modified (diff)
  • Status changed from new to needs_review

Changed 9 years ago by jdemeyer

Diff for the linbox spkg. For reference / review only.

comment:2 Changed 9 years ago by jdemeyer

  • Summary changed from Support GCC version "4.7" to Support GCC version "4.7" in LinBox

comment:3 Changed 9 years ago by ohanar

  • Reviewers set to R. Andrew Ohana
  • Status changed from needs_review to positive_review

Looks good to me.

comment:4 Changed 9 years ago by jdemeyer

  • Merged in set to sage-5.1.beta6
  • Resolution set to fixed
  • Status changed from positive_review to closed

comment:5 follow-up: Changed 9 years ago by startakovsky

I am experiencing an issue with linbox during an installation. I have inquired on ask.sagemath.org about this. Here are the details. Is this related, should I open a separate ticket? http://ask.sagemath.org/question/1914/error-installing-sage-because-of-package-linbox

comment:6 in reply to: ↑ 5 ; follow-up: Changed 9 years ago by jdemeyer

Replying to startakovsky:

I am experiencing an issue with linbox during an installation. I have inquired on ask.sagemath.org about this. Here are the details. Is this related, should I open a separate ticket? http://ask.sagemath.org/question/1914/error-installing-sage-because-of-package-linbox

Please try sage-5.4.rc2: http://www.sagemath.org/download-latest.html

comment:7 in reply to: ↑ 6 Changed 9 years ago by startakovsky

Replying to jdemeyer:

Replying to startakovsky:

I am experiencing an issue with linbox during an installation. I have inquired on ask.sagemath.org about this. Here are the details. Is this related, should I open a separate ticket? http://ask.sagemath.org/question/1914/error-installing-sage-because-of-package-linbox

Please try sage-5.4.rc2: http://www.sagemath.org/download-latest.html

I downloaded sage-5.4.rc2 as instructed onto my rackspace.com 64-bit vm and got the same error because GCC failed. Then I typed export INSTALL_SAGE_GCC=yes then make and received another error, one I've seen before, where it stalled on linbox-sage.o. I've attached the log to this ticket.

Changed 9 years ago by startakovsky

linbox error on rackspace.com virtual machine, ubuntu 12

comment:8 Changed 9 years ago by jdemeyer

Could you please bring this discussion to the sage-devel mailing list instead of this ticket (which has nothing to do with it). Also, is there any chance of getting access to that machine for easier debugging?

comment:9 Changed 9 years ago by jdemeyer

And to be very clear, please post:

  1. the failed install.log from building sage-5.4.rc2 from scratch without any special environment variables set (no MAKE, no SAGE_INSTALL_GCC).
  2. the failed install.log from building sage-5.4.rc2 from scratch with SAGE_INSTALL_GCC=yes (i.e. not a build started without and continued with SAGE_INSTALL_GCC=yes)

comment:10 Changed 9 years ago by jdemeyer

And how is the resource usage on that machine, are you constrained in memory/CPU usage? Sage requires 2.5GB of memory to build (some of this may be swap space).

Note: See TracTickets for help on using tickets.